package com.cpm.lorealbaMabeline.checkout;

import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

public class MasterCheckoutQuestion {
    @SerializedName("CategoryId")
    private Integer categoryId;
    @SerializedName("Category")
    private String category;
    @SerializedName("QuestionId")
    private Integer questionId;
    @SerializedName("Question")
    private String question;
    @SerializedName("QuestionType")
    private String questionType;
    @SerializedName("QuestionImageAllow")
    private Boolean questionImageAllow;
    @SerializedName("QuestionImageMandatory")
    private Boolean questionImageMandatory;
    @SerializedName("QEnable")
    private Boolean qEnable;
    @SerializedName("LengthValidation")
    private Boolean lengthValidation;
    @SerializedName("MinLength")
    private Integer minLength;
    @SerializedName("MaxLength")
    private Integer maxLength;
    @SerializedName("AnswerId")
    private Integer answerId;
    @SerializedName("Answer")
    private String answer;
    @SerializedName("ImageAllow")
    private Boolean imageAllow;
    @SerializedName("ImageAllowMandatory")
    private Boolean imageAllowMandatory;
    @SerializedName("QuestionEnable")
    private String questionEnable;
    @SerializedName("QuestionDisable")
    private String questionDisable;

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Integer getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public Boolean getQuestionImageAllow() {
        return questionImageAllow;
    }

    public void setQuestionImageAllow(Boolean questionImageAllow) {
        this.questionImageAllow = questionImageAllow;
    }

    public Boolean getQuestionImageMandatory() {
        return questionImageMandatory;
    }

    public void setQuestionImageMandatory(Boolean questionImageMandatory) {
        this.questionImageMandatory = questionImageMandatory;
    }

    public Boolean getQEnable() {
        return qEnable;
    }

    public void setQEnable(Boolean qEnable) {
        this.qEnable = qEnable;
    }

    public Boolean getLengthValidation() {
        return lengthValidation;
    }

    public void setLengthValidation(Boolean lengthValidation) {
        this.lengthValidation = lengthValidation;
    }

    public Integer getMinLength() {
        return minLength;
    }

    public void setMinLength(Integer minLength) {
        this.minLength = minLength;
    }

    public Integer getMaxLength() {
        return maxLength;
    }

    public void setMaxLength(Integer maxLength) {
        this.maxLength = maxLength;
    }

    public Integer getAnswerId() {
        return answerId;
    }

    public void setAnswerId(Integer answerId) {
        this.answerId = answerId;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Boolean getImageAllow() {
        return imageAllow;
    }

    public void setImageAllow(Boolean imageAllow) {
        this.imageAllow = imageAllow;
    }

    public Boolean getImageAllowMandatory() {
        return imageAllowMandatory;
    }

    public void setImageAllowMandatory(Boolean imageAllowMandatory) {
        this.imageAllowMandatory = imageAllowMandatory;
    }

    public String getQuestionEnable() {
        return questionEnable;
    }

    public void setQuestionEnable(String questionEnable) {
        this.questionEnable = questionEnable;
    }

    public String getQuestionDisable() {
        return questionDisable;
    }

    public void setQuestionDisable(String questionDisable) {
        this.questionDisable = questionDisable;
    }

    public String getQuestionImg() {
        return questionImg;
    }

    public void setQuestionImg(String questionImg) {
        this.questionImg = questionImg;
    }

    public String getAnsImg() {
        return ansImg;
    }

    public void setAnsImg(String ansImg) {
        this.ansImg = ansImg;
    }

    public Integer getCorrect_ansId() {
        return correct_ansId;
    }

    public void setCorrect_ansId(Integer correct_ansId) {
        this.correct_ansId = correct_ansId;
    }

    public String getCorrect_ans() {
        return correct_ans;
    }

    public void setCorrect_ans(String correct_ans) {
        this.correct_ans = correct_ans;
    }

    String questionImg="";
    String ansImg="";
    Integer correct_ansId=0;
    String correct_ans="";

    ArrayList<MasterCheckoutQuestion>ans=new ArrayList<>();

    public ArrayList<MasterCheckoutQuestion> getAns() {
        return ans;
    }

    public void setAns(ArrayList<MasterCheckoutQuestion> ans) {
        this.ans = ans;
    }

}
